import fundamentos.*;

/**
 * Programa que calcula la distancia entre dos puntos fijos
 * de forma repetida
 * @author Michael Gonzalez
 * @version 4/11/2003
 */

public class Distancias {

  public static void main(String[] args) {

    double dist; // Kilometros
    double lon1,lat1,lon2,lat2; // grados
    
    Lectura l = new Lectura("Circulo Maximo");

    l.creaEntrada("Latitud  1",0.0);
    l.creaEntrada("Longitud 1",0.0);
    l.creaEntrada("Latitud  2",0.0);
    l.creaEntrada("Longitud 2",0.0);

    while(true) {
      l.espera("Introduce coordenadas y pulsa OK");
      lat1=l.leeDouble("Latitud  1");
      lon1 =l.leeDouble("Longitud 1");
      lat2 =l.leeDouble("Latitud  2");
      lon2 =l.leeDouble("Longitud 2");
        
      lat1=Math.toRadians(lat1); // grados convertidos a radianes
      lon1=Math.toRadians(lon1); // grados convertidos a radianes
      lat2=Math.toRadians(lat2); // grados convertidos a radianes
      lon2=Math.toRadians(lon2); // grados convertidos a radianes
    
      dist=Math.toDegrees(Math.acos(Math.sin(lat1)*Math.sin(lat2)+
        Math.cos(lat1)*Math.cos(lat2)*Math.cos(lon1-lon2)))*
        60.0*1.852;

      l.println("La distancia es: "+dist+" Km");
    }
    
  }
}
